+++
linkTitle = 'Application development'
images = ['images/service/application-development.jpg']
position = 2
services = ['application-development']
shortDescription = 'Software applications accessible from anywhere and from any device'
slug = 'applications-development'
title = 'Software applications design and development'
metaDescription='Software applications design and development for the web, desktop and mobile (WA)'
metaKeywords = ["Web application", "Project management", "Inventory", "Custom application"]
translationKey = 'service-applications-development'
type = 'service'
[menu]
  [menu.main]
    parent = 'services'
    weight = 2
    [menu.main.params]
      iconclass = 'bi bi-window-desktop'
      title = 'Software applications design and development'
+++

Software applications (project management, time tracking, inventory, accounting, and billing) that can run on every modern web browser, accessible from anywhere from any device, and that use the most efficient development frameworks connected with the best open source databases: MariaDB, PostgreSQL, SQLite.

The applications are accessible from everywhere (only an Internet connection is necessary), don’t require an installation and can be used simultaneously by many users and support every operating system (MS Windows, Linux, Apple) and every mobile device (smartphone and tablet).

###### Tecnology used
Language and development framework : [PHP](https://www.php.net/), [CodeIgniter](https://codeigniter.org), [HTMX](https://htmx.org), [Ionic Framework](https://ionicframework.com/), [FreePascal](https://www.freepascal.org/) and [Lazarus IDE](https://www.lazarus-ide.org/)
Database : [MariaDB](https://www.mariadb.org/), [PostgreSQL](https://postgresql.org), [SQLite](https://sqlite.org)

###### Applications
- Project management 
- Time tracking 
- Inventory 
- Accounting and billing 
- Custom applications
- Inventory management
- Accounting and bookkeeping
- Domotic system control 
- Renting shops

The developed applications can be cross-platform and work in the same way on any computer and operating system
