+++
description = 'Design and development of websites and custom CMS backend and frontend'
keywords = ['Custom CMS', 'PHP', 'MySQL', 'CMS', 'Web site backend', 'CodeIgniter', 'Yii']
linkTitle = 'Websites backends and CMS'
images = ['images/service/custom-cms.jpg']
position = 4
services = ['websites-custom-cms']
shortDescription = 'Design, development and integration of websites backends and custom CMS backend and frontend engines'
slug = 'custom-cms'
title = 'Websites backends and custom CMS development and integration'
translationKey = 'service-backend-websites-custom-cms'
type = 'service'
[menu]
  [menu.main]
    parent = 'services'
    weight = 4
    [menu.main.params]
      iconclass = 'bi bi-stack'
      title = 'Websites and custom CMS development and integration'
      
+++

Design and development of custom CMS backend and frontend engines with modern frameworks. Integration of the CMS with external services.

There are many advantages to choosing a custom CMS in the place of a pre-built solution :

- the website and its features are a lot faster
- efficient use of the hardware and software resources
- customized backend for an efficient and straightforward workflow
- more features can be added quickly and easily
- more freedom both for the client and the developer: every type of customization is possible
- security: the frontend and backend have separate access because they are two distinct applications. The access to the backend can be blocked during the night, the weekends, or during periods of inactivity

#### Technologies used

Language and development framework: [PHP](https://www.php.net/), [CodeIgniter](https://codeigniter.org), [HTMX](https://htmx.org)
Database : [MariaDB](https://www.mariadb.org/), [PostgreSQL](https://postgresql.org), [SQLite](https://sqlite.org)


#### Applications

- Public websites
- Intranet
- Internal documentation
