+++
linkTitle = 'Private E-mail'
images = ['images/service/e-mail-service.png']
position = 10
services = ['e-mail']
shortDescription = 'Intelligently-managed, high-performance mail server solutions that fully preserve your privacy'
slug = 'private-e-mail'
title = 'Private E-mail: hosting, security, privacy and archiving'
translationKey = 'service-private-mail'
type = 'service'
[menu]
  [menu.main]
    parent = 'services'
    weight = 5
    [menu.main.params]
      iconclass = 'bi bi-envelope'
      title = 'Private E-mail: hosting, security, privacy and archiving'

+++

Our mail servers are located in Germany and are based only on open source software: [Linux Debian](https://debian.org), [Postfix](https://postfix.org), [Dovecot](https://www.dovecot.org/), [Rspamd](https://rspamd.com/), [Roundcube](https://roundcube.net/).

The servers are hosted in the [Contabo](https://contabo.com) data centers and all the communications between the servers and the clients are encrypted with OpenSSL valid certificates signed by LetsEncrypt.

#### Features

- Reduntant servers
- Antispam
- Inbound antispam filter implemented through rspamd software
- Deliverability
- Deliverability guaranteed through DKIM and DMARC technologies
- Webmail with a responsive interface that can be used with every type of device (computer, smartphone, tablet).
- Each user can :
- - change his password
- - set a vacation message
- - change the desired spam level protection
- - encrypt his emails with GPG
- Server-side email encryption and compression for complete privacy protection
- Crypted and versioned backup of the emails on an external cloud service

#### Additional available features

- Dedicated server
- The service can be implemented on a dedicated and private server
- Collaboration platform
- Automatic and scheduled backup
- A copy of the emails can be copied to client storage for backup